View Issue Details

IDProjectCategoryView StatusLast Update
0007759mantisbtotherpublic2019-12-13 18:06
Reportercas Assigned Todregad  
PrioritynormalSeveritytweakReproducibilityhave not tried
Status closedResolutionno change required 
Summary0007759: Widget for Mantis
Description

If you are using the YaHoo widget engine, you now can have an overview of your Mantis issues thru a widget.
Attached a beta version, look forward to your comments.

This is an adaptation of a similar development for DotProject by Frank Hönisch & Thorsten Fentz.

Cas

TagsNo tags attached.

Activities

2007-02-10 11:16

 

mantis_widget.zip (229,830 bytes)
Ellerbrok

Ellerbrok

2007-02-13 03:21

reporter   ~0014040

Hi cas,

this widged looks fine, but it seems to have problems with mantis running on a server in our local network environment.

I have set up the configuration to access my local server, but it always shows "No connection to Web-Server. Check Server status or preferences!"

Best Regards,
Ellerbrok

cas

cas

2007-02-13 12:36

reporter   ~0014041

What are your server settings for the server address ?

You can test with "http://www.nuy.info/apps/mantis/issuetracker_widget.php"
and "http://www.nuy.info/apps/mantis/view.php".

As user use "Cas".

vboctor

vboctor

2007-02-15 01:34

manager   ~0014047

Hi Cas,

Sounds like a good idea. I have a couple of comments:

  1. The Mantis URL in the readme file is incorrect.

  2. It would be great if you can include screen capture so that it is easy for people to see a preview and get a feel of what they can do using the widget.

vboctor

vboctor

2007-02-24 02:04

manager   ~0014096

I've installed the Yahoo Widget's engine to try this out and I am unable to open the Mantis widget. The ones that came with the engine have extension .widget and this one has .kon. How can we make a .widget out of it? It will also probably compress all the images and the xml in one thing.

Also it is important to note that the script that should be placed on the server is not secure and would expose the server to SQL injection attack. Use Mantis APIs when possible and use the gpc_api.php to get the query / post parameters. Also use database_api.php to prepare parameters before using them in an SQL query.

vboctor

vboctor

2007-03-06 02:03

manager   ~0014132

cas, what are your thoughts regarding my comments?

cas

cas

2007-03-06 05:14

reporter   ~0014133

Your comments are absolutely valid and I am in the process of reviewing this little add-on with those in mind. I have only one big issue called time (sounds familiar doesn't it?).
As soon as i have something neww, will report it here.

dregad

dregad

2019-12-03 09:36

developer   ~0063175

Considering that Yahoo ended support for Widgets back in 2012, I don't see the point in keeping this open.

Issue History

Date Modified Username Field Change
2007-02-10 11:16 cas New Issue
2007-02-10 11:16 cas File Added: mantis_widget.zip
2007-02-13 03:21 Ellerbrok Note Added: 0014040
2007-02-13 12:36 cas Note Added: 0014041
2007-02-15 01:34 vboctor Note Added: 0014047
2007-02-24 02:04 vboctor Note Added: 0014096
2007-03-06 02:03 vboctor Note Added: 0014132
2007-03-06 02:03 vboctor Status new => feedback
2007-03-06 05:14 cas Note Added: 0014133
2019-12-03 09:36 dregad Assigned To => dregad
2019-12-03 09:36 dregad Status feedback => resolved
2019-12-03 09:36 dregad Resolution open => no change required
2019-12-03 09:36 dregad Note Added: 0063175
2019-12-13 18:06 atrol Status resolved => closed